package ch.dlmw.swisssignchallenge.controllers;

import ch.dlmw.swisssignchallenge.services.SigningRequestDocumentService;
import lombok.AllArgsConstructor;
import org.openapitools.api.SigningRequestDocumentApi;
import org.openapitools.model.PatchSigningRequestDocumentRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RestController;

@RestController
@AllArgsConstructor
public class SigningRequestDocumentController implements SigningRequestDocumentApi {
    private final SigningRequestDocumentService signingRequestDocumentService;

    @Override
    public ResponseEntity<Void> patchSigningRequestDocument(String id, PatchSigningRequestDocumentRequest patchSigningRequestDocumentRequest) {
        signingRequestDocumentService.patchSigningRequestDocument(id, patchSigningRequestDocumentRequest);
        return ResponseEntity.noContent().build();
    }
}
