package ch.dlmw.swisssignchallenge.services.impl;

import ch.dlmw.swisssignchallenge.repositories.SigningRequestDocumentRepository;
import ch.dlmw.swisssignchallenge.services.SigningRequestDocumentService;
import com.fasterxml.jackson.databind.ObjectMapper;
import lombok.AllArgsConstructor;
import org.openapitools.model.PatchSigningRequestDocumentRequest;
import org.springframework.stereotype.Service;

import java.util.UUID;

@Service
@AllArgsConstructor
public class SigningRequestDocumentServiceImpl implements SigningRequestDocumentService {
    private final SigningRequestDocumentRepository signingRequestDocumentRepository;
    private final ObjectMapper objectMapper;

    @Override
    public void patchSigningRequestDocument(String id, PatchSigningRequestDocumentRequest patchSigningRequestDocumentRequest) {
        var document = signingRequestDocumentRepository.findById(UUID.fromString(id)).orElseThrow();

        System.out.println(document.isConfirmed());
    }
}
